﻿.cart .productoverview__item {
    display: flex;
    flex-flow: row;
}

.cart .productoverview__image img {
    width: 10rem;
    height: auto;
}

.cart .productoverview__item .product__link {
    width: 50%;
}

.cart .productoverview__amount {
    display: flex;
    flex-wrap: wrap;
    align-self: flex-start;
    min-width: 13.5rem;
    width: 13.5rem;
    margin-top: 1rem;
    margin-left: auto;

}

    .cart .productoverview__amount input.cart__amount::-webkit-outer-spin-button,
    .cart .productoverview__amount input.cart__amount::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    .cart .productoverview__amount input.cart__amount[type=number] {
        -moz-appearance: textfield;
    }

    .cart .productoverview__amount input.cart__amount {
        width: 3.5rem;
        height: 4rem;
        text-align: center;
        border: none;
        border-bottom: .1rem solid var(--blue-light);
        padding: 0;
        margin: 0 1rem;
    }

        .cart .productoverview__amount input.cart__amount:focus {
            outline: none;
            border-bottom-color: var(--blue);
        }

    .cart .productoverview__amount .button {
        width: 4rem;
        height: 4rem;
        min-height: unset;
        max-height: 4rem;
        border-radius: 50%;
        padding: 0;
        background-color: var(--blue-light);
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: 1.2rem auto;
        border: none;
        transition: var(--transition-default);
    }

        .cart .productoverview__amount .button:hover,
        .cart .productoverview__amount .button:active,
        .cart .productoverview__amount .button:focus {
            background-color: var(--blue-light-hover);
            border: none;
            outline: none;
        }

        .cart .productoverview__amount .button.button--minus {
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='3' viewBox='0 0 16 2'%3E%3Cline x1='1' y1='1' x2='15' y2='1' fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='3'/%3E%3C/svg%3E");
        }

        .cart .productoverview__amount .button.button--plus {
            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath d='M8,1V15M1,8H15' fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='3'/%3E%3C/svg%3E");
        }

    .cart .productoverview__amount .cart__delete {
        width: 100%;
        font-size: 1.2rem;
        font-weight: 500;
        color: var(--black);
        text-align: center;
        margin-top: .5rem;
    }

        .cart .productoverview__amount .cart__delete:hover {
            color: var(--blue);
        }

@media(max-width: 767px) {
    .cart .productoverview__amount .cart__delete {
        margin-top: 2.5rem;
    }
}

.cart .cart__price {
    font-size: 1.6rem;
    font-weight: 600;
    margin-left: 1.5rem;
    align-self: flex-start;
    height: 4rem;
    margin-top: 1rem;
    padding-top: .5rem;
    min-width: 17rem;
    text-align: right;
}

    .cart .cart__price strike {
        font-weight: 400;
        opacity: .5;
    }

    .cart .cart__price span {
        font-size: 1.1rem;
        color: var(--grey);
        font-weight: 400;
        margin-right: .5rem;
    }

.cart .productoverview__item {
    margin-top: 3rem;
}

    .cart .productoverview__item{
        border-bottom: .1rem solid var(--blue-light);
        padding-bottom: 3rem;
    }

    .cart .productoverview__item .productoverview__image {
        min-width: 10rem;
        width: 10rem;
        margin: .25rem 3rem 0 0;
        align-self: flex-start;
        min-height: unset;
        border-bottom: none;
    }

        .cart .productoverview__item .productoverview__image + div {
            margin-right: 1rem;
            position: relative;
            padding-bottom: 2.2rem;
        }

    .cart .productoverview__item .productoverview__title .subtitle {
        font-size: 1.4rem;
    }

    .cart .productoverview__item .productoverview__title {
        margin-bottom: 1rem;
    }

        .cart .productoverview__item .productoverview__title h3 {
            font-size: 1.6rem;
            margin-bottom: 0;
        }

    .cart .productoverview__item .productoverview__specs {
        border-bottom: none;
        padding-bottom: 0;
    }

.cart .cart__overview {
    background-color: #f2f6f7;
    border-radius: 1.5rem;
    padding: 4rem;
    line-height: 2.2rem;
}

    .cart .cart__overview h2 {
        font-size: 3.4rem;
        line-height: 4rem;
    }

    .cart .cart__overview table {
        width: 100%;
        margin-bottom: 1rem;
    }

        .cart .cart__overview table td {
            padding: .75rem 0;
        }

            .cart .cart__overview table td:nth-child(2) {
                width: 1rem;
            }

            .cart .cart__overview table td:last-of-type {
                width: 5rem;
                padding-left: .5rem;
                text-align: right;
            }

        .cart .cart__overview table hr {
            border-top: .1rem solid var(--grey-light);
            border-bottom: none;
            margin: .5rem 0;
        }

        .cart .cart__overview table tr.total td {
            font-size: 1.7rem;
            font-weight: 600;
        }

            .cart .cart__overview table tr.total td:last-of-type {
                font-size: 1.8rem;
            }

        .cart .cart__overview table .table--red {
            color: var(--red);
        }

        .cart .cart__overview .cart__label-additional {
            color: var(--blue);
            font-style: italic;
            font-weight: 600;
            margin: .5rem 0;
            display: block;
        }

    .cart .cart__overview .cart__label-free {
        color: var(--green);
        font-weight: 600;
        white-space: nowrap;
    }

.cart .productoverview__item .cart__backorder {
    position: absolute;
    left: 0;
    bottom: 0;
    font-size: 1.2rem;
    line-height: 2.2rem;
    color: var(--grey);
    white-space: nowrap;
    margin-bottom: 0;
}

    .cart .productoverview__item .cart__backorder span {
        color: var(--red);
    }

    .cart .button--cart {
        width: 100%;
        justify-content: center;
        padding-right: 4rem;
        padding-left: 6rem;
    }

.cart .productoverview__discounttext {
    color: var(--green);
    font-size: 1.1rem;
    font-weight: 400;
    margin-bottom: 0;
}

.cart__product-promotion ul {
    padding: 0;
}

.cart__product-promotion li {
    color: var(--green);
    font-weight: bold;
    list-style-type: none;
}

.cart .usps {
    margin-top: 2rem;
    font-size: 1.2rem;
}

.cart__empty {
    border-bottom: .1rem solid var(--blue-light);
    padding: 3rem 0;
}

.cart__quickadd {
    position: relative;
    z-index: 1;
}

.quickadd__form {
    display: flex;
    align-items: center;
    margin: 3rem 0 0;
}

    .quickadd__form label {
        width: 13rem;
        min-width: 13rem;
    }

    .quickadd__form input {
        height: 4.4rem;
        width: 100%;
        background-color: #f2f6f7;
        border: 0.1rem solid #e6e6e6;
        border-right: none;
        border-radius: 2.2rem;
        font-size: 1.2rem;
        padding-left: 2rem;
        padding-right: 2rem;
        margin: 0;
        color: #000;
        width: 100%;
    }

.quickadd__right {
    position: relative;
    width: 100%;
}

.--hasresults .quickadd__results {
    border: 0.1rem solid var(--blue-light);
    border-radius: 2.2rem;
    margin-top: .5rem;
}    

.quickadd__results .autosuggest__product {
    display: flex;
    align-items: center;
}

    .quickadd__results .autosuggest__products {
        border-top: none;
    }

.quickadd__results .autosuggest__product > a:first-of-type {
    width: 100%;
}

    .quickadd__results .button--cart-small {
        padding-left: 3rem;
        padding-right: 3rem;
        width: 8rem;
        margin-left: 3rem;
    }

@media(max-width: 991px) {
    .cart__overview {
        margin-top: 3rem;
    }

    .cart .usps li {
        justify-content: flex-start;
    }

    .quickadd__form {
        flex-flow: column;
    }

    .quickadd__form label {
        width: 100%;
        min-width: 100%;
    }
}

@media(max-width: 767px) {
    .cart .productoverview__item {
        flex-wrap: wrap;
        border-bottom-color: var(--grey-light);
    }

    .cart .productoverview__item .productoverview__image {
        min-width: 9rem;
        width: 9rem;
        max-width: 9rem;
        margin-right: 1.5rem;
    }

    .cart .productoverview__image img {
        width: 9rem;
        height: 9rem;
    }

    .cart .productoverview__item .productoverview__image + div {
        position: relative;
        margin-right: 0;
        width: calc(100% - 10.5rem);
        padding-bottom: 1.5rem;
    }

        .cart .productoverview__item .productoverview__image + div:after {
            content: "";
            width: calc(100vw - 3rem);
            position: absolute;
            bottom: 0;
            right: 0;
            border-top: .1rem solid var(--blue-light);
        }

    .cart .productoverview__item .cart__backorder {
        position: relative;
        left: unset;
        bottom: unset;
        white-space: initial;
    }

    .cart .productoverview__amount {
        margin-left: 0;
    }

    .cart .cart__price {
        margin-left: auto;
    }

    .cart .productoverview__item .product__link {
        width: 100%;
        height: 50%;
    }

    .cart .cart__overview {
        padding: 2rem;
    }
}